<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/ASG/Declaration.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.ASG.Declaration</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../ASG.html" >ASG</a>
</div><div class="class-name">class Declaration

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/ASG.py.html" target="detail">../Synopsis/ASG.py</a></div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.Declaration" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line241" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Declaration-inheritance" src="Declaration-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Declaration-inheritance_map" />
<map name="Declaration-inheritance_map"><area alt="Scopes/Synopsis/ASG/Enum.html" href="Enum.html" shape="rect" coords="5, 84, 141, 108" />
<area alt="Scopes/Synopsis/ASG/Variable.html" href="Variable.html" shape="rect" coords="165, 84, 315, 108" />
<area alt="Scopes/Synopsis/Formatters/DocBook/Syntax/Syntax.html" href="../Formatters/DocBook/Syntax/Syntax.html" shape="rect" coords="339, 84, 613, 108" />
<area alt="Scopes/Synopsis/Formatters/HTML/Views/ModuleListing/ModuleListing.html" href="../Formatters/HTML/Views/ModuleListing/ModuleListing.html" shape="rect" coords="637, 84, 1021, 108" />
<area alt="Scopes/Synopsis/IR/IR.html" href="../IR/IR.html" shape="rect" coords="1045, 84, 1152, 108" />
<area alt="Scopes/Synopsis/ASG/ASG.html" href="ASG.html" shape="rect" coords="1176, 84, 1307, 108" />
<area alt="Scopes/Synopsis/ASG/Macro.html" href="Macro.html" shape="rect" coords="1331, 84, 1469, 108" />
<area alt="Scopes/Synopsis/ASG/Forward.html" href="Forward.html" shape="rect" coords="1493, 84, 1645, 108" />
<area alt="Scopes/Synopsis/ASG/Scope.html" href="Scope.html" shape="rect" coords="1669, 84, 1808, 108" />
<area alt="Scopes/Synopsis/Processor/Type.html" href="../Processor/Type.html" shape="rect" coords="1832, 84, 1992, 108" />
<area alt="Scopes/Synopsis/ASG/Inheritance.html" href="Inheritance.html" shape="rect" coords="2016, 84, 2184, 108" />
<area alt="Scopes/Synopsis/ASG/Const.html" href="Const.html" shape="rect" coords="2208, 84, 2344, 108" />
<area alt="Scopes/Synopsis/Processors/ScopeStripper/ScopeStripper.html" href="../Processors/ScopeStripper/ScopeStripper.html" shape="rect" coords="2368, 84, 2667, 108" />
<area alt="Scopes/Synopsis/ASG/TypeId.html" href="TypeId.html" shape="rect" coords="2691, 84, 2835, 108" />
<area alt="Scopes/Synopsis/Formatters/HTML/DirectoryLayout/DirectoryLayout.html" href="../Formatters/HTML/DirectoryLayout/DirectoryLayout.html" shape="rect" coords="2859, 84, 3229, 108" />
<area alt="Scopes/Synopsis/ASG/Function.html" href="Function.html" shape="rect" coords="3253, 84, 3405, 108" />
<area alt="Scopes/Synopsis/ASG/Enumerator.html" href="Enumerator.html" shape="rect" coords="3429, 84, 3600, 108" />
<area alt="Scopes/Synopsis/ASG/Typedef.html" href="Typedef.html" shape="rect" coords="3624, 84, 3776, 108" />
<area alt="Scopes/Synopsis/Formatters/BoostBook/Formatter.html" href="../Formatters/BoostBook/Formatter.html" shape="rect" coords="3800, 84, 4059, 108" />
<area alt="Scopes/Synopsis/ASG/Builtin.html" href="Builtin.html" shape="rect" coords="4083, 84, 4221, 108" />
<area alt="Scopes/Synopsis/ASG/Group.html" href="Group.html" shape="rect" coords="4245, 84, 4384, 108" />
<area alt="Scopes/Synopsis/Formatters/HTML/Part/Part.html" href="../Formatters/HTML/Part/Part.html" shape="rect" coords="4408, 84, 4637, 108" />
</map>
 <div class="doc">Declaration base class. Every declaration has a name&#44; type&#44;
    accessibility and annotations. The default accessibility is DEFAULT except for
    C++ where the Parser always sets it to one of the other three. </div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <span class="name"><a href="Declaration.html#file" >file</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line250" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">SourceFile instance this declaration is part of.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="Declaration.html#line" >line</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line252" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The line number of this declaration.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="Declaration.html#name" >name</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line254" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The &#40;fully qualified&#41; name of the declared object.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="Declaration.html#type" >type</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line256" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">A string describing the &#40;language-specific&#41; type of the declared object.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="Declaration.html#accessibility" >accessibility</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line258" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Accessibility descriptor for the declared object.</div></div>
<div class="item"><div class="synopsis"> <span class="name"><a href="Declaration.html#annotations" >annotations</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line260" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">A dictionary holding any annotations of this object.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">file</span>, <span class="variable">line</span>, <span class="variable">type</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.Declaration.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line248" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Declaration.html#accept" >accept</a></span>(<span class="variable">self</span>, <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.Declaration.accept" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line263" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Attributes Details:</div>
<div class="item"><div class="synopsis"> <a class="name" id="file">file</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line250" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">SourceFile instance this declaration is part of.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="line">line</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line252" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The line number of this declaration.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="name">name</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line254" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">The &#40;fully qualified&#41; name of the declared object.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="type">type</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line256" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">A string describing the &#40;language-specific&#41; type of the declared object.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="accessibility">accessibility</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line258" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Accessibility descriptor for the declared object.</div></div>
<div class="item"><div class="synopsis"> <a class="name" id="annotations">annotations</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line260" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">A dictionary holding any annotations of this object.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="accept">accept</a>(<span class="variable">self</span>, <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.Declaration.accept" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line263" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Visit the given visitor</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:52 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
